Forum Linux.debian/ubuntu Ubuntu: kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)

Posté par (page perso) .
Tags : aucun
0
24
mai
2005
Salut,

J'ai eu le meme problème que certains ont eu sur Breezy (version unstable de ubuntu), mais moi je suis en Hoary (stable)

J'ai mis à jour par apt sur les serveurs officiels d'Ubuntu

Lors du reboot!:
kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)

Je crois que j'avais eu un blem similaire lors de l'upgrade à celui là :
(mais j'ai quand meme rebooter me disant que c t pas "grave")
cpio: (0xfffe000) : no such file or directory
cpio: /lib/ld-linux.so.2 (0xb7feb000) no such file or directory

Que puis-je faire ?
Booter depuis le LiveCD, puis : sudo chroot /dev/hda1 /bin/bash
et ensuite ?


Merci.
  • # grub...

    Posté par . Évalué à 1.

    Tu as mis à jour ton noyau j'imagine?
    tu peux tenter de booter en ligne de commande avec grub (sur une disquette par exemple) en spécifiant ton ancien noyau et ton ancien initrd.
    http://fr.gentoo-wiki.com/HOWTO_Cr%C3%A9er_une_disquette_bootable_a(...)
    • [^] # Re: grub...

      Posté par (page perso) . Évalué à 1.

      oui,c t une maj de noyau

      le fait est que lors d'une mise à jour de noyau mineure, ubuntu ne sauvegarde pas l'ancien noyau !
      donc j'ai plus l'ancien :(
      • [^] # Re: grub...

        Posté par . Évalué à 1.

        tu en es sur?
        Moi (sur une warty) j'ai un 2.6.8.1-3 et un 2.6.8.1-5. Essaye toujours te toutes façons tu seras vite fixé :)
        • [^] # Re: grub...

          Posté par (page perso) . Évalué à 1.

          oui, car 2.6.8.1-3 et 2.6.8.1-5, c 2 versions différents

          mais là, c ta la maj d'une 2.6.10-5 par une... 2.6.10-5 donc, ça ecrase pas dessus

          je ne peux donc rien essayer car c'est vraiment le seul noyau qui me reste !
          • [^] # Re: grub...

            Posté par . Évalué à 1.

            Mais si tu peux toujours essayer quelquechose :-)

            La solution si tu n'as plus de noyaux bootables c'est de booter sur un livecd (knoppix, ubuntu...) et de faire ce qu'on appelle un chroot.

            en gros tu vas arriver sur ton système où tu pourras recompiler ton noyau afin de voir ce qui ne marchait pas.

            donc la marche à suivre une fois que tu as booté :

            1) d'abord monter la partition de ton ancien système
            # mount -t <fs> /dev/<la partoche de ton systeme> /mnt/<un répertoire existant ou rien n'est monté>

            2) le chroot proprement dit
            # chroot /mnt/<le répertoire ou tu as monté ta partoche> /bin /bash

            3) a toi de jouer pour trouver la cause du kernel panic

            En espérant que ce commentaire te serve à quelquechose ;)
            • [^] # Re: grub...

              Posté par . Évalué à 2.

              si tu a un kernel-686 ou k7 essaye de mettre un 386 ..

              tu le chroot comme decris dessus et apres
              apt-get install linux-(386|k7|686)
            • [^] # Re: grub...

              Posté par (page perso) . Évalué à 1.

              héhé

              si tu avais lu mon post jusqu'au bout, tu aurais lu:
              "Booter depuis le LiveCD, puis : sudo chroot /dev/hda1 /bin/bash
              et ensuite ?"

              donc, merci, le 1) et 2), c'est déjà fais...
              (oué, j'ai fait boulette c t /mnt/hda1 au lieu de /dev.. j'ai tapé trop vite pour ce post)

              la seule question, c t le "et ensuite?" et tu réponds "à toi de jouer"
              donc, non, désolé, ce commentaire ne me sert pas, mais merci quand même de répondre quelquechose de concret

              le truc, c'était d'éviter de recompiler le noyau qui je crois reste la seule solution :(

              (j'espèrais un petit coup d'apt-get magique...)
              je vais tenter d'enlever la source hoary-security et de ne prendre que le noyau de hoary normal
  • # uf

    Posté par (page perso) . Évalué à 3.

    Moi qui croyait que Ubuntu était plus User-friendly que Debian... un kernel-panic c'est un peu hardcore, non ?
    (comment ca j'ai pas le droit de lancer de troll)
  • # Piste?

    Posté par . Évalué à 2.

    Chez moi, sur mon portable, ça faisait ça à cause du support de l'acpi.

    append="noapic nolapic acpi=off"

    et hophop.

    Ce n'est peut-être pas ça du tout, hein...

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.